## Apache Zeta Components Manual :: Docs For Class ezcDocumentWikiBulletListItemNode

### Document::ezcDocumentWikiBulletListItemNode

### Class ezcDocumentWikiBulletListItemNode

Struct for Wiki document abstract syntax tree bullet list item nodes

Source for this file: /Document/src/document/wiki/nodes/bullet_list_item.php

    ezcBaseStruct
       |
       --ezcDocumentWikiNode
          |
          --ezcDocumentWikiBlockLevelNode
             |
             --ezcDocumentWikiLineLevelNode
                |
                --ezcDocumentWikiBulletListItemNode

Version: | //autogen//

### Member Variables

public int | `$level = 1` BulletListItem indentation level

### Inherited Member Variables

From ezcDocumentWikiNode
public | `ezcDocumentWikiNode::$line`
public | `ezcDocumentWikiNode::$nodes`
public | `ezcDocumentWikiNode::$position`
public | `ezcDocumentWikiNode::$token`

### Method Summary

public void | `__construct( $token , $type )` Construct Wiki node

### Inherited Methods

From ezcDocumentWikiNode
public void | `ezcDocumentWikiNode::__construct()` Construct Wiki node

### Methods

#### __construct

void __construct( ezcDocumentWikiToken $token , int $type )

Construct Wiki node

##### Parameters:

Name | Type | Description
--- | --- | ---
`$token` | ezcDocumentWikiToken |
`$type` | int |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentWikiNode::__construct()` | Construct Wiki node

Documentation generated by phpDocumentor 1.4.3